summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-emulation/spectemu
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-emulation/spectemu')
-rw-r--r--app-emulation/spectemu/Manifest1
-rw-r--r--app-emulation/spectemu/files/spectemu-0.99.3-automagic.patch31
-rw-r--r--app-emulation/spectemu/files/spectemu-0.99.3-build.patch34
-rw-r--r--app-emulation/spectemu/files/spectemu-0.99.3-qa.patch23
-rw-r--r--app-emulation/spectemu/metadata.xml7
-rw-r--r--app-emulation/spectemu/spectemu-0.99.3-r1.ebuild45
-rw-r--r--app-emulation/spectemu/spectemu-0.99.3.ebuild48
7 files changed, 189 insertions, 0 deletions
diff --git a/app-emulation/spectemu/Manifest b/app-emulation/spectemu/Manifest
new file mode 100644
index 00000000000..8e3314e6871
--- /dev/null
+++ b/app-emulation/spectemu/Manifest
@@ -0,0 +1 @@
+DIST spectemu-0.99.3.tar.gz 269524 SHA256 a3f51176fdbcdbd1cdf8e0bab6b668a548c79b8fc699d5a7199ecfde79c79bc1 SHA512 a2efcf46a2481a213825b452987626ade3fa95a525d26bd11a315ef885eb4f536343a7a58389733f459d05486b3da73e81503a0988ebe768ad93b089351f3e25 WHIRLPOOL 3cd4cb7faf5dc585ec8fa0e8985d8a55906486926fc82fff545287bd802d91923711a7796ba4145353569fefa6dd78330dfcc33303cbcfa7d85c1ee55a6ea2d0
diff --git a/app-emulation/spectemu/files/spectemu-0.99.3-automagic.patch b/app-emulation/spectemu/files/spectemu-0.99.3-automagic.patch
new file mode 100644
index 00000000000..6e813d6373e
--- /dev/null
+++ b/app-emulation/spectemu/files/spectemu-0.99.3-automagic.patch
@@ -0,0 +1,31 @@
+--- configure.in
++++ configure.in
+@@ -121,13 +121,22 @@
+ dnl -----------------------------------------------------------
+ dnl Check for SVGALIB
+ dnl -----------------------------------------------------------
+-AC_CHECK_LIB(vga, vga_setmode, no_vga="", no_vga=yes)
+-if test "$no_vga" != yes; then
+- progs="$progs vgaspect"
+- vgalib=-lvga
+
+- LIBS="$vgalib $olibs"
+- AC_CHECK_FUNC(vga_runinbackground_version, AC_DEFINE(RUN_IN_BACKGROUND))
++svgalibs=""
++withsvga=no
++AC_ARG_WITH(svga,
++[ --with-svga Compile with svga library],
++[if test "$withval" = no; then withsvga=no; fi])
++
++if test "$withsvga" = yes; then
++ AC_CHECK_LIB(vga, vga_setmode, no_vga="", no_vga=yes)
++ if test "$no_vga" != yes; then
++ progs="$progs vgaspect"
++ vgalib=-lvga
++
++ LIBS="$vgalib $olibs"
++ AC_CHECK_FUNC(vga_runinbackground_version, AC_DEFINE(RUN_IN_BACKGROUND))
++ fi
+ fi
+
+ LIBS="$olibs"
diff --git a/app-emulation/spectemu/files/spectemu-0.99.3-build.patch b/app-emulation/spectemu/files/spectemu-0.99.3-build.patch
new file mode 100644
index 00000000000..1c354a5fa93
--- /dev/null
+++ b/app-emulation/spectemu/files/spectemu-0.99.3-build.patch
@@ -0,0 +1,34 @@
+--- Makefile.in
++++ Makefile.in
+@@ -44,17 +44,19 @@
+ ./mkinstalldirs $(i_bindir) $(i_mandir)
+
+ install_prog: $(progs)
++ mkdir -p $(i_bindir)
+ if test -f xspect; then \
+- $(INSTALL_PROGRAM) -s -m 755 xspect $(i_bindir); fi
++ $(INSTALL_PROGRAM) -m 755 xspect $(i_bindir); fi
+ if test -f vgaspect; then \
+- $(INSTALL_PROGRAM) -s -m 4755 vgaspect $(i_bindir); fi
++ $(INSTALL_PROGRAM) -m 4755 vgaspect $(i_bindir); fi
+
+ install_man:
++ mkdir -p $(i_mandir)
+ $(INSTALL_DATA) ./xspect.1 $(i_mandir)
+ $(INSTALL_DATA) ./tapeout.1 $(i_mandir)
+ (cd $(i_mandir); rm -f vgaspect.1; ln -s xspect.1 vgaspect.1)
+
+-install: installdirs install_prog install_man
++install: install_prog install_man
+
+ z80_c_objs=z80.o z80optab.o z80_step.o spperif.o spect.o rom48.o \
+ z80_op1.o z80_op2.o z80_op3.o z80_op4.o z80_op5.o z80_op6.o
+@@ -88,7 +90,7 @@
+ ./sp_to_s < i386emul.sp > i386emul.s
+
+ i386emul.o: i386emul.s
+- $(CC) -c $(CFLAGS) i386emul.s
++ $(CC) -c $(ASFLAGS) -Xassembler --noexecstack i386emul.s
+
+ sp_to_s: sp_to_s.o
+ $(CC) -o sp_to_s $(LDFLAGS) sp_to_s.o
diff --git a/app-emulation/spectemu/files/spectemu-0.99.3-qa.patch b/app-emulation/spectemu/files/spectemu-0.99.3-qa.patch
new file mode 100644
index 00000000000..00d13630581
--- /dev/null
+++ b/app-emulation/spectemu/files/spectemu-0.99.3-qa.patch
@@ -0,0 +1,23 @@
+--- spectemu-0.99.3/Makefile.in
++++ spectemu-0.99.3/Makefile.in
+@@ -45,9 +45,9 @@
+
+ install_prog: $(progs)
+ if test -f xspect; then \
+- $(INSTALL_PROGRAM) -s -m 755 xspect $(i_bindir); fi
++ $(INSTALL_PROGRAM) -m 755 xspect $(i_bindir); fi
+ if test -f vgaspect; then \
+- $(INSTALL_PROGRAM) -s -m 4755 vgaspect $(i_bindir); fi
++ $(INSTALL_PROGRAM) -m 4755 vgaspect $(i_bindir); fi
+
+ install_man:
+ $(INSTALL_DATA) ./xspect.1 $(i_mandir)
+@@ -88,7 +88,7 @@
+ ./sp_to_s < i386emul.sp > i386emul.s
+
+ i386emul.o: i386emul.s
+- $(CC) -c $(CFLAGS) i386emul.s
++ $(CC) -c $(ASFLAGS) -Xassembler --noexecstack i386emul.s
+
+ sp_to_s: sp_to_s.o
+ $(CC) -o sp_to_s $(LDFLAGS) sp_to_s.o
diff --git a/app-emulation/spectemu/metadata.xml b/app-emulation/spectemu/metadata.xml
new file mode 100644
index 00000000000..d9cd2cad66c
--- /dev/null
+++ b/app-emulation/spectemu/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+<email>maintainer-needed@gentoo.org</email>
+</maintainer>
+</pkgmetadata>
diff --git a/app-emulation/spectemu/spectemu-0.99.3-r1.ebuild b/app-emulation/spectemu/spectemu-0.99.3-r1.ebuild
new file mode 100644
index 00000000000..10aaa2bc722
--- /dev/null
+++ b/app-emulation/spectemu/spectemu-0.99.3-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit autotools eutils
+
+DESCRIPTION="48k ZX Spectrum Emulator"
+HOMEPAGE="http://kempelen.iit.bme.hu/~mszeredi/spectemu/spectemu.html"
+SRC_URI="http://www.inf.bme.hu/~mszeredi/spectemu/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="readline svga +X"
+
+REQUIRED_USE="|| ( svga X )"
+
+DEPEND="X? ( >=x11-proto/xf86vidmodeproto-2.2.2
+ >=x11-proto/xextproto-7.0.2
+ >=x11-proto/xproto-7.0.4
+ >=x11-libs/libX11-1.0.0
+ >=x11-libs/libXext-1.0.0
+ >=x11-libs/libXxf86vm-1.0.0 )
+ readline? ( sys-libs/readline )"
+RDEPEND="${DEPEND}
+ svga? ( media-libs/svgalib )"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-automagic.patch
+ epatch "${FILESDIR}"/${P}-build.patch
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_with readline) \
+ $(use_with svga) \
+ $(use_with X x)
+}
+
+src_install() {
+ emake install_root="${D}" install
+}
diff --git a/app-emulation/spectemu/spectemu-0.99.3.ebuild b/app-emulation/spectemu/spectemu-0.99.3.ebuild
new file mode 100644
index 00000000000..1dbab72574f
--- /dev/null
+++ b/app-emulation/spectemu/spectemu-0.99.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+### Several versions of specemu exist, xspect & vgaspect, utilising X11
+### and/or svgalib. libreadline provides optional runtime features.
+### The ./configure script automagically figures out which binaries to build
+### so the run/compiletime dependancies here are use dependant
+
+inherit eutils
+
+DESCRIPTION="48k ZX Spectrum Emulator"
+HOMEPAGE="http://kempelen.iit.bme.hu/~mszeredi/spectemu/spectemu.html"
+SRC_URI="http://www.inf.bme.hu/~mszeredi/spectemu/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="X readline svga"
+
+DEPEND="X? ( >=x11-proto/xf86vidmodeproto-2.2.2
+ >=x11-proto/xextproto-7.0.2
+ >=x11-proto/xproto-7.0.4
+ >=x11-libs/libX11-1.0.0
+ >=x11-libs/libXext-1.0.0
+ >=x11-libs/libXxf86vm-1.0.0 )
+ readline? ( sys-libs/readline )"
+RDEPEND="svga? ( media-libs/svgalib )"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${P}-qa.patch
+}
+
+src_compile() {
+ econf \
+ $(use_with readline) \
+ $(use_with X x)
+ emake CC="$(tc-getCC)" \
+ CPP="$(tc-getCPP)" \
+ || die "emake failed"
+}
+
+src_install() {
+ # Parallel install bug #255777
+ emake -j1 install_root="${D}" install || die "emake install failed"
+}